"Another version detected" Error when Installing IVI Driver

Updated May 3, 2018

Reported In

Driver

  • IVI Compliance Package
  • NI-VISA

Operating System

  • Windows

Other

  • Third party instrument driver

Issue Details

I am trying to install the IVI driver for my third party instrument. When I run the installer, I receive the error: Another version is being detected. Please remove VXI PNP driver

Solution

Please see the following steps to resolve this error: 
  1. Navigate to the <National Instruments>\LabVIEW\instr.libLabVIEW/instr.lib directory.
  2. Delete or rename the directory for the LabVIEW Plug and Play instrument driver files for your third party instrument.
  3. Rerun the IVI driver installer again. 


 

Additional Information

When you install IVI specific drivers into the <National Instruments>\LabVIEW\instr.lib directory, the names of the directories and VIs may be the same as the LabVIEW Plug and Play instrument drivers that already exist on the computer.

Using an IVI driver from National Instruments will require the following: 

WAS THIS ARTICLE HELPFUL?

Not Helpful